Get the status of an order.
GET
/
api
/
v1
/
orders
/
{UID}
/
status
Get the status of an order.
curl --request GET \
--url https://api.cow.fi/mainnet/api/v1/orders/{UID}/statusimport requests
url = "https://api.cow.fi/mainnet/api/v1/orders/{UID}/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cow.fi/mainnet/api/v1/orders/{UID}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cow.fi/mainnet/api/v1/orders/{UID}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cow.fi/mainnet/api/v1/orders/{UID}/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cow.fi/mainnet/api/v1/orders/{UID}/status")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cow.fi/mainnet/api/v1/orders/{UID}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"type": "open",
"value": [
{
"solver": "<string>",
"executedAmounts": {
"sell": "1234567890",
"buy": "1234567890"
}
}
]
}Path Parameters
Unique identifier for the order: 56 bytes encoded as hex with 0x
prefix.
Bytes 0..32 are the order digest, bytes 30..52 the owner address and
bytes 52..56 the expiry (validTo) as a uint32 unix epoch timestamp.
Example:
"0xff2e2e54d178997f173266817c1e9ed6fee1a1aae4b43971c53b543cffcc2969845c6f5599fbb25dbdd1b9b013daf85c03f3c63763e4bc4a"
Response
The order status with a list of solvers that proposed solutions (if applicable).
Available options:
open, scheduled, active, solved, executing, traded, cancelled A list of solvers who participated in the latest competition, sorted by score in ascending order, where the last element is the winner.
The presence of executed amounts defines whether the solver provided a solution for the desired order.
Show child attributes
Show child attributes
Last modified on March 17, 2026
Was this page helpful?
Get the status of an order.
curl --request GET \
--url https://api.cow.fi/mainnet/api/v1/orders/{UID}/statusimport requests
url = "https://api.cow.fi/mainnet/api/v1/orders/{UID}/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cow.fi/mainnet/api/v1/orders/{UID}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cow.fi/mainnet/api/v1/orders/{UID}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cow.fi/mainnet/api/v1/orders/{UID}/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cow.fi/mainnet/api/v1/orders/{UID}/status")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cow.fi/mainnet/api/v1/orders/{UID}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"type": "open",
"value": [
{
"solver": "<string>",
"executedAmounts": {
"sell": "1234567890",
"buy": "1234567890"
}
}
]
}